For the complete documentation index, see llms.txt. This page is also available as Markdown.

List orders

Retrieve a paginated list of orders accessible to the authenticated client.

List orders

get

Retrieve a paginated list of orders accessible to the authenticated client.

This endpoint returns orders of your hosting accounts as well as orders of other client hosting accounts that have shared access with you.

Use the available query parameters to filter results by order statuses or specific order IDs for more targeted results.

Authorizations
AuthorizationstringRequired

API Token authentication

Query parameters
pageintegerOptional

Page number

Example: 1
per_pageinteger · max: 100Optional

Number of items per page

Default: 25Example: 25
order_idsinteger[] · nullableOptional

Filter by specific order IDs

Example: [12345,67890]
Responses
200

Success response

application/json
get/api/hosting/v1/orders
GET /api/hosting/v1/orders HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": 12345,
      "client_id": 67890,
      "subscription_id": "sub_abc123",
      "created_at": "2023-10-08T12:00:00+00:00",
      "plan": {
        "name": "hostinger_business"
      },
      "status": "active"
    }
  ],
  "meta": {
    "current_page": 1,
    "per_page": 15,
    "total": 100
  }
}

Last updated

Was this helpful?